#include<iostream>
using namespace std;
int main(){
int arr[1000],n,broqch=0,raztoqnie=0,purvi=0,vtori=-123;
bool purviPrimer=false,vtoriPut=false;
cin>>n;
for(int i=0;i<n;i++){
    cin>>arr[i];
}
int m=n-1;
for(int j=1;j<m;j++){
    if(arr[j]>arr[j+1] && arr[j]>arr[j-1]){
        if(raztoqnie>broqch && purviPrimer==true,vtoriPut==true){
            raztoqnie=broqch;
            broqch=0;
            cout<<"normalno ";
        }
        if(purviPrimer==false){
            purvi=arr[j];
            purviPrimer=true;
            cout<<"vednuv ";

        }
        if(vtori==-123){
            vtori=arr[j];
            raztoqnie=broqch;
            broqch=0;
            cout<<"oshte vednuv "<<raztoqnie;
            vtoriPut=true;
        }
    }
     else{
     broqch++;
     cout<<broqch;}
}
cout<<raztoqnie;
return 0;
}
